JUCE

- Main Page
- Related Pages
- Topics
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Classes | Functions
juce_XmlDocument.h File Reference

## Classes
class | XmlDocument
| Parses a text-based XML document and creates an XmlElement object from it. More...

## Functions
std::unique_ptr< XmlElement > | parseXML (const String &textToParse)
| Attempts to parse some XML text, returning a new XmlElement if it was valid.
std::unique_ptr< XmlElement > | parseXML (const File &fileToParse)
| Attempts to parse some XML text, returning a new XmlElement if it was valid.
std::unique_ptr< XmlElement > | parseXMLIfTagMatches (const String &textToParse, StringRef requiredTag)
| Does an inexpensive check to see whether the top-level element has the given tag name, and if that's true, does a full parse and returns the result.
std::unique_ptr< XmlElement > | parseXMLIfTagMatches (const File &fileToParse, StringRef requiredTag)
| Does an inexpensive check to see whether the top-level element has the given tag name, and if that's true, does a full parse and returns the result.